# RFlow-Components-IRC

[![Build Status](https://travis-ci.org/redjack/rflow-components-irc.png?branch=master)](https://travis-ci.org/redjack/rflow-components-irc)

A gem containing IRC-specific components and data types for RFlow
(https://github.com/redjack/rflow).

## Data Types

* `RFlow::Message::Data::IRC::Message` - a IRC message data type

## Client

The IRC client component uses the underlying EventMachine LineText2
protocol connection to connect to an IRC server (as defined by its
configuration), accept RFlow messages to be sent to the sever on its
`to_server` port, and send RFlow messages from the IRC sever out its
`from_server` port.

The component utilizes RFlow's message provenance to allow for
discriminating between multiple IRC client components, so components
that process IRC messages *must copy the provenance from the
from-message to the to-message.*

### Configuration

* 'server' => '127.0.0.1'
* 'port' => 6667
* 'server_password' => nil
* 'nickname' => 'rflow'
* 'username' => 'rflow'
* 'oper_user' => nil
* 'oper_password' => nil
* 'nickserv_password' => nil
* 'reconnect_interval' => 2

## License

   Copyright 2014 RedJack LLC

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
