require 'spec_helper'

describe 'RFlow::Message::Data::IRC::Message Avro Schema' do
  let(:schema) { RFlow::Configuration.available_data_types['RFlow::Message::Data::IRC::Message']['avro'] }

  it "should encode and decode an object" do
    message = {
      'timestamp' => Time.now.xmlschema,
      'command'    => 'PRIVMSG',
      'parameters' => ['yo yo yo'],
    }

    expect { encode_avro(schema, message) }.to_not raise_error
    encoded_message = encode_avro(schema, message)

    expect { decode_avro(schema, encoded_message) }.to_not raise_error
    decoded_message = decode_avro(schema, encoded_message)

    expect(decoded_message['prefix']).to eq(message['prefix'])
    expect(decoded_message['command']).to eq(message['command'])
    expect(decoded_message['parameters']).to eq(message['parameters'])
  end
end
